Fetch user's Steam inventory
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
apirequired | query | string | Your WAXPEER API |
Request body
| Name | Location | Type | Description |
|---|---|---|---|
merchantrequired | body | string | Your merchant name |
gamerequired | body | enum | Game type enum: csgo |
steam_idrequired | body | string | Steam ID (17 digits) |
trade_url_tokenrequired | body | string | Trade URL token (8 characters) |
{
"merchant": "mymerchant",
"game": "csgo",
"steam_id": "76561198000000000",
"trade_url_token": "abcdefgh"
}Responses
200 **Please open the schema to see the response structure, fields and their descriptions**
{
"status": "success",
"items": [
{
"item_id": "141414145",
"icon_url": "-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXH5ApeO4YmlhxYQknCRvCo04DEVlxkKgpot621FAR17PLfYQJD_9W7m5a0mvLwOq7c2DMBupQn2eqVotqkiwHiqhdlMmigJtOWJwE5Zw3X8wS-yea8jcDo7c7XiSw0g89L9us",
"name": "AWP | Asiimov (Field-tested)",
"type": "Sniper Rifle",
"steam_price": {
"name": "AWP | Asiimov (Field-tested)",
"average": 1222,
"current": 1234,
"img": "-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXH5ApeO4YmlhxYQknCRvCo04DEVlxkKgpot621FAR17PLfYQJD_9W7m5a0mvLwOq7c2DMBupQn2eqVotqkiwHiqhdlMmigJtOWJwE5Zw3X8wS-yea8jcDo7c7XiSw0g89L9us",
"lowest_price": 1212,
"rarity_color": "#b0c3d9",
"rarity": "Covert"
},
"limit": 3,
"instant_price": 1000
}
]
}